#!/usr/bin/perl
#
# Copyright 2011 BBS Technologies, Inc.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

use warnings;
use strict;
use FindBin;
use lib "$FindBin::RealBin/";
use BuagentInterworx;

my $dbh = BuagentInterworx::connect();
my $sth = $dbh->prepare(q{
    SELECT siteworx.uniqname, siteworx_users.email FROM siteworx, siteworx_users
        WHERE (siteworx_users.user_id = siteworx.siteworx_id);
}) or die $dbh->errstr;
$sth->execute or die "Couldn't execute prepared statement: ", $dbh->errstr;

my $uniqname;
my $email;
$sth->bind_columns(\$uniqname, \$email);
while($sth->fetch()) {
    if(-d "/chroot/home/$uniqname") {
        print "$email:home:/chroot/home/$uniqname\n"
    }
}

$dbh->disconnect();
